# Update liquidation configuration Updates an existing liquidation configuration. A liquidation configuration defines a transfer path between two RippleNet accounts for liquidating payments (when they arrive in a source account) to a destination account. Endpoint: PUT /config/liquidation_config/{liquidation_config_id} Version: 4.0.0 Security: Bearer ## Path parameters: - `liquidation_config_id` (string, required) ID of the liquidation configuration you want to update. ## Request fields (application/json): - `name` (string) Display name for this Liquidaton Configuration. - `source_address` (string) Full RippleNet address of the source account in the form accountname@host. - `destination_address` (string) Full RippleNet address of the destination account in the form accountname@host. - `liquidation_mode` (string) Mode in which this Liquidation Configuration operates. Enum: "PER_PAYMENT", "SMART_LIQUIDATION_PER_PAYMENT" - `price_guarantee` (string) Price guarantee for the Liquidation quote. Enum: "FIRM", "INDICATIVE" - `liquidation_type` (string) Indicates the amount the liquidation is based on. Enum: "SENDER", "RECEIVER", "XRP" ## Response 200 fields (application/json): - `liquidation_config_id` (string) The unique identifier for this Liquidation Configuration. - `name` (string) Display name for this Liquidaton Configuration. - `source_address` (string) Full RippleNet address of the source account in the form accountname@host. - `destination_address` (string) Full RippleNet address of the destination account in the form accountname@host. - `liquidation_mode` (string) Mode in which this Liquidation Configuration operates. Enum: "PER_PAYMENT", "SMART_LIQUIDATION_PER_PAYMENT" - `price_guarantee` (string) Price guarantee for the Liquidation quote. Enum: "FIRM", "INDICATIVE" - `liquidation_type` (string) Indicates the amount the liquidation is based on Enum: "SENDER", "RECEIVER", "XRP" ## Response 400 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT"